HibernateDotNames (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Interface HibernateDotNames

    public interface HibernateDotNames

Defines the dot names for the Hibernate specific mapping annotations.

Field Summary
`static org.jboss.jandex.DotName` | `ACCESS_TYPE`
`static org.jboss.jandex.DotName` | `ANY`
`static org.jboss.jandex.DotName` | `ANY_META_DEF`
`static org.jboss.jandex.DotName` | `ANY_META_DEFS`
`static org.jboss.jandex.DotName` | `BATCH_SIZE`
`static org.jboss.jandex.DotName` | `CACHE`
`static org.jboss.jandex.DotName` | `CASCADE`
`static org.jboss.jandex.DotName` | `CHECK`
`static org.jboss.jandex.DotName` | `COLLECTION_ID`
`static org.jboss.jandex.DotName` | `COLUMN_TRANSFORMER`
`static org.jboss.jandex.DotName` | `COLUMN_TRANSFORMERS`
`static org.jboss.jandex.DotName` | `COLUMNS`
`static org.jboss.jandex.DotName` | `DISCRIMINATOR_FORMULA`
`static org.jboss.jandex.DotName` | `DISCRIMINATOR_OPTIONS`
`static org.jboss.jandex.DotName` | `ENTITY`
`static org.jboss.jandex.DotName` | `FETCH`
`static org.jboss.jandex.DotName` | `FETCH_PROFILE`
`static org.jboss.jandex.DotName` | `FETCH_PROFILES`
`static org.jboss.jandex.DotName` | `FILTER`
`static org.jboss.jandex.DotName` | `FILTER_DEF`
`static org.jboss.jandex.DotName` | `FILTER_DEFS`
`static org.jboss.jandex.DotName` | `FILTER_JOIN_TABLE`
`static org.jboss.jandex.DotName` | `FILTER_JOIN_TABLES`
`static org.jboss.jandex.DotName` | `FILTERS`
`static org.jboss.jandex.DotName` | `FOREIGN_KEY`
`static org.jboss.jandex.DotName` | `FORMULA`
`static org.jboss.jandex.DotName` | `GENERATED`
`static org.jboss.jandex.DotName` | `GENERIC_GENERATOR`
`static org.jboss.jandex.DotName` | `GENERIC_GENERATORS`
`static org.jboss.jandex.DotName` | `IMMUTABLE`
`static org.jboss.jandex.DotName` | `INDEX`
`static org.jboss.jandex.DotName` | `INDEX_COLUMN`
`static org.jboss.jandex.DotName` | `JOIN_COLUMN_OR_FORMULA`
`static org.jboss.jandex.DotName` | `JOIN_COLUMNS_OR_FORMULAS`
`static org.jboss.jandex.DotName` | `JOIN_FORMULA`
`static org.jboss.jandex.DotName` | `LAZY_COLLECTION`
`static org.jboss.jandex.DotName` | `LAZY_TO_ONE`
`static org.jboss.jandex.DotName` | `LOADER`
`static org.jboss.jandex.DotName` | `MANY_TO_ANY`
`static org.jboss.jandex.DotName` | `MAP_KEY_TYPE`
`static org.jboss.jandex.DotName` | `META_VALUE`
`static org.jboss.jandex.DotName` | `NAMED_NATIVE_QUERIES`
`static org.jboss.jandex.DotName` | `NAMED_NATIVE_QUERY`
`static org.jboss.jandex.DotName` | `NAMED_QUERIES`
`static org.jboss.jandex.DotName` | `NAMED_QUERY`
`static org.jboss.jandex.DotName` | `NATURAL_ID`
`static org.jboss.jandex.DotName` | `NOT_FOUND`
`static org.jboss.jandex.DotName` | `ON_DELETE`
`static org.jboss.jandex.DotName` | `OPTIMISTIC_LOCK`
`static org.jboss.jandex.DotName` | `ORDER_BY`
`static org.jboss.jandex.DotName` | `PARAM_DEF`
`static org.jboss.jandex.DotName` | `PARAMETER`
`static org.jboss.jandex.DotName` | `PARENT`
`static org.jboss.jandex.DotName` | `PERSISTER`
`static org.jboss.jandex.DotName` | `PROXY`
`static org.jboss.jandex.DotName` | `ROW_ID`
`static org.jboss.jandex.DotName` | `SORT`
`static org.jboss.jandex.DotName` | `SOURCE`
`static org.jboss.jandex.DotName` | `SQL_DELETE`
`static org.jboss.jandex.DotName` | `SQL_DELETE_ALL`
`static org.jboss.jandex.DotName` | `SQL_INSERT`
`static org.jboss.jandex.DotName` | `SQL_UPDATE`
`static org.jboss.jandex.DotName` | `SUB_SELECT`
`static org.jboss.jandex.DotName` | `SYNCHRONIZE`
`static org.jboss.jandex.DotName` | `TABLE`
`static org.jboss.jandex.DotName` | `TABLES`
`static org.jboss.jandex.DotName` | `TARGET`
`static org.jboss.jandex.DotName` | `TUPLIZER`
`static org.jboss.jandex.DotName` | `TUPLIZERS`
`static org.jboss.jandex.DotName` | `TYPE`
`static org.jboss.jandex.DotName` | `TYPE_DEF`
`static org.jboss.jandex.DotName` | `TYPE_DEFS`
`static org.jboss.jandex.DotName` | `WHERE`
`static org.jboss.jandex.DotName` | `WHERE_JOIN_TABLE`

Field Detail

### ACCESS_TYPE

    static final org.jboss.jandex.DotName ACCESS_TYPE

### ANY

    static final org.jboss.jandex.DotName ANY

### ANY_META_DEF

    static final org.jboss.jandex.DotName ANY_META_DEF

### ANY_META_DEFS

    static final org.jboss.jandex.DotName ANY_META_DEFS

### BATCH_SIZE

    static final org.jboss.jandex.DotName BATCH_SIZE

### CACHE

    static final org.jboss.jandex.DotName CACHE

### CASCADE

    static final org.jboss.jandex.DotName CASCADE

### CHECK

    static final org.jboss.jandex.DotName CHECK

### COLLECTION_ID

    static final org.jboss.jandex.DotName COLLECTION_ID

### COLUMNS

    static final org.jboss.jandex.DotName COLUMNS

### COLUMN_TRANSFORMER

    static final org.jboss.jandex.DotName COLUMN_TRANSFORMER

### COLUMN_TRANSFORMERS

    static final org.jboss.jandex.DotName COLUMN_TRANSFORMERS

### DISCRIMINATOR_FORMULA

    static final org.jboss.jandex.DotName DISCRIMINATOR_FORMULA

### DISCRIMINATOR_OPTIONS

    static final org.jboss.jandex.DotName DISCRIMINATOR_OPTIONS

### ENTITY

    static final org.jboss.jandex.DotName ENTITY

### FETCH

    static final org.jboss.jandex.DotName FETCH

### FETCH_PROFILE

    static final org.jboss.jandex.DotName FETCH_PROFILE

### FETCH_PROFILES

    static final org.jboss.jandex.DotName FETCH_PROFILES

### FILTER

    static final org.jboss.jandex.DotName FILTER

### FILTER_DEF

    static final org.jboss.jandex.DotName FILTER_DEF

### FILTER_DEFS

    static final org.jboss.jandex.DotName FILTER_DEFS

### FILTER_JOIN_TABLE

    static final org.jboss.jandex.DotName FILTER_JOIN_TABLE

### FILTER_JOIN_TABLES

    static final org.jboss.jandex.DotName FILTER_JOIN_TABLES

### FILTERS

    static final org.jboss.jandex.DotName FILTERS

### FOREIGN_KEY

    static final org.jboss.jandex.DotName FOREIGN_KEY

### FORMULA

    static final org.jboss.jandex.DotName FORMULA

### GENERATED

    static final org.jboss.jandex.DotName GENERATED

### GENERIC_GENERATOR

    static final org.jboss.jandex.DotName GENERIC_GENERATOR

### GENERIC_GENERATORS

    static final org.jboss.jandex.DotName GENERIC_GENERATORS

### IMMUTABLE

    static final org.jboss.jandex.DotName IMMUTABLE

### INDEX

    static final org.jboss.jandex.DotName INDEX

### INDEX_COLUMN

    static final org.jboss.jandex.DotName INDEX_COLUMN

### JOIN_COLUMN_OR_FORMULA

    static final org.jboss.jandex.DotName JOIN_COLUMN_OR_FORMULA

### JOIN_COLUMNS_OR_FORMULAS

    static final org.jboss.jandex.DotName JOIN_COLUMNS_OR_FORMULAS

### JOIN_FORMULA

    static final org.jboss.jandex.DotName JOIN_FORMULA

### LAZY_COLLECTION

    static final org.jboss.jandex.DotName LAZY_COLLECTION

### LAZY_TO_ONE

    static final org.jboss.jandex.DotName LAZY_TO_ONE

### LOADER

    static final org.jboss.jandex.DotName LOADER

### MANY_TO_ANY

    static final org.jboss.jandex.DotName MANY_TO_ANY

### MAP_KEY_TYPE

    static final org.jboss.jandex.DotName MAP_KEY_TYPE

### META_VALUE

    static final org.jboss.jandex.DotName META_VALUE

### NAMED_NATIVE_QUERIES

    static final org.jboss.jandex.DotName NAMED_NATIVE_QUERIES

### NAMED_NATIVE_QUERY

    static final org.jboss.jandex.DotName NAMED_NATIVE_QUERY

### NAMED_QUERIES

    static final org.jboss.jandex.DotName NAMED_QUERIES

### NAMED_QUERY

    static final org.jboss.jandex.DotName NAMED_QUERY

### NATURAL_ID

    static final org.jboss.jandex.DotName NATURAL_ID

### NOT_FOUND

    static final org.jboss.jandex.DotName NOT_FOUND

### ON_DELETE

    static final org.jboss.jandex.DotName ON_DELETE

### OPTIMISTIC_LOCK

    static final org.jboss.jandex.DotName OPTIMISTIC_LOCK

### ORDER_BY

    static final org.jboss.jandex.DotName ORDER_BY

### PARAM_DEF

    static final org.jboss.jandex.DotName PARAM_DEF

### PARAMETER

    static final org.jboss.jandex.DotName PARAMETER

### PARENT

    static final org.jboss.jandex.DotName PARENT

### PERSISTER

    static final org.jboss.jandex.DotName PERSISTER

### PROXY

    static final org.jboss.jandex.DotName PROXY

### ROW_ID

    static final org.jboss.jandex.DotName ROW_ID

### SORT

    static final org.jboss.jandex.DotName SORT

### SOURCE

    static final org.jboss.jandex.DotName SOURCE

### SQL_DELETE

    static final org.jboss.jandex.DotName SQL_DELETE

### SQL_DELETE_ALL

    static final org.jboss.jandex.DotName SQL_DELETE_ALL

### SQL_INSERT

    static final org.jboss.jandex.DotName SQL_INSERT

### SQL_UPDATE

    static final org.jboss.jandex.DotName SQL_UPDATE

### SUB_SELECT

    static final org.jboss.jandex.DotName SUB_SELECT

### SYNCHRONIZE

    static final org.jboss.jandex.DotName SYNCHRONIZE

### TABLE

    static final org.jboss.jandex.DotName TABLE

### TABLES

    static final org.jboss.jandex.DotName TABLES

### TARGET

    static final org.jboss.jandex.DotName TARGET

### TUPLIZER

    static final org.jboss.jandex.DotName TUPLIZER

### TUPLIZERS

    static final org.jboss.jandex.DotName TUPLIZERS

### TYPE

    static final org.jboss.jandex.DotName TYPE

### TYPE_DEF

    static final org.jboss.jandex.DotName TYPE_DEF

### TYPE_DEFS

    static final org.jboss.jandex.DotName TYPE_DEFS

### WHERE

    static final org.jboss.jandex.DotName WHERE

### WHERE_JOIN_TABLE

    static final org.jboss.jandex.DotName WHERE_JOIN_TABLE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.